> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get all timeline entries

GET https://preview.contentful.com/spaces/{space_id}/environments/{environment_id}/timeline/entries

Reference: https://contentful.com/developers/docs/references/content-preview-api/timeline/get-all-timeline-entries

## Request

### Path parameters

- `space_id` (string, required) — Alphanumeric id of the space to retrieve.
- `environment_id` (string, required) — ID of the environment in form of a string

### Query parameters

- `access_token` (string, required)
- `release` (string, required) — release id as a string.
- `timestamp` (string, required) — timestamp in ISO datetime string.

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "items": [],
  "limit": 100,
  "skip": 0,
  "sys": {
    "type": "Array"
  },
  "total": 0
}
```

**SDK Code**

```javascript JavaScript
import { createClient } from 'contentful'

const client = createClient({
  space: '<space_id>',
  accessToken: '<content_preview_api_key>',
  host: 'preview.contentful.com',
  timelinePreview: {
    release: { lte: '<release_id>' },
  },
});

client
  .getEntries()
  .then((response) => console.log(response.items))
  .catch(console.error);
```

```android Android
No snippet for this SDK.
```

```java Java
No snippet for this SDK.
```

```kotlin Kotlin
No snippet for this SDK.
```

```swift Swift
No snippet for this SDK.
```

```php PHP
No snippet for this SDK.
```

```ruby Ruby
No snippet for this SDK.
```

```python Python
No snippet for this SDK.
```

```.net .NET
No snippet for this SDK.
```